org.wildfly.swarm.microprofile.openapi.api.models.responses

## Class APIResponsesImpl

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,APIResponse>
      - - org.wildfly.swarm.microprofile.openapi.api.models.responses.APIResponsesImpl

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,APIResponse>, ModelImpl

      public class APIResponsesImpl
      extends LinkedHashMap<String,APIResponse>
      implements ModelImpl

  An implementation of the `APIResponses` OpenAPI model interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `APIResponsesImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `APIResponses` | `addApiResponse(String name, APIResponse apiResponse)`
    `APIResponses` | `defaultValue(APIResponse defaultValue)`
    `APIResponse` | `getDefault()`
    `void` | `setDefaultValue(APIResponse defaultValue)`

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, size`

- - ### Constructor Detail

    - #### APIResponsesImpl

          public APIResponsesImpl()

  - ### Method Detail

    - #### addApiResponse

          public APIResponses addApiResponse(String name,
                                             APIResponse apiResponse)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponses#addApiResponse(java.lang.String, org.eclipse.microprofile.openapi.models.responses.APIResponse)`

    - #### getDefault

          public APIResponse getDefault()

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponses#getDefault()`

    - #### setDefaultValue

          public void setDefaultValue(APIResponse defaultValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponses#setDefaultValue(org.eclipse.microprofile.openapi.models.responses.APIResponse)`

    - #### defaultValue

          public APIResponses defaultValue(APIResponse defaultValue)

      See Also:
        `org.eclipse.microprofile.openapi.models.responses.APIResponses#defaultValue(org.eclipse.microprofile.openapi.models.responses.APIResponse)`

Copyright © 2018 JBoss by Red Hat. All rights reserved.